#!/usr/bin/env python3
'''*****************************************************************************
***  This file is part of Similis.                                           ***
***                                                                          ***
***  Copyright (C) 2020                                                      ***
***  John Schneiderman <Licensing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU General Public License as published          ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU General Public License for more details.                    ***
***                                                                          ***
***  You should have received a copy of the GNU General Public License       ***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*****************************************************************************'''
import setuptools
import sys

from Similis import DESCRIPTION, LONG_DESCRIPTION, LONG_NAME, SHORT_NAME, VERSION


setuptools.setup(
	name=SHORT_NAME,
	version=VERSION,
	description=DESCRIPTION,
	long_description=LONG_DESCRIPTION,
	author='John M. Schneiderman',
	author_email='Licensing@schneiderman.me',
	url="https://www.schneiderman.me/projects/{}".format(SHORT_NAME),
	download_url="http://www.schneiderman.me/projects/{name}/{name}-{version}.tar.gz".format(
		name=SHORT_NAME, version=VERSION),
	license='GPLv3+',
	packages=setuptools.find_packages(),
	provides=[LONG_NAME],
	requires=[
		'progressbar2'
	],
	platforms=[
		'GNU/Linux',
		'POSIX',
		'Mac OS',
		'Windows'
	],
	classifiers=[
		'Development Status :: 5 - Production/Stable',
		'Environment :: Console',
		'Intended Audience :: Developers',
		'Intended Audience :: System Administrators',
		'Intended Audience :: Information Technology',
		'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
		'Natural Language :: English',
		'Operating System :: MacOS',
		'Operating System :: Microsoft :: Windows',
		'Operating System :: POSIX',
		'Operating System :: POSIX :: Linux',
		'Operating System :: OS Independent',
		'Programming Language :: Python :: 3',
		'Topic :: System :: Systems Administration',
		'Topic :: Text Processing',
		'Topic :: Utilities',
	],
	python_requires='>=3.7',
	data_files=[
	],
)
