'''*****************************************************************************
***  This file is part of Similis.                                           ***
***                                                                          ***
***  Copyright (C) 2020                                                      ***
***  John Schneiderman <Licensing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU General Public License as published          ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU General Public License for more details.                    ***
***                                                                          ***
***  You should have received a copy of the GNU General Public License       ***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*****************************************************************************'''

import AddSimilisPath
from Scoring import ExaminedFile, Percentage, FileScorer


class TestFile(ExaminedFile):

	def __init__(self, search_path: str, dir_path: str, file_name: str):
		ExaminedFile.__init__(self, search_path, dir_path, file_name)
		self.__times_as_source = 0
		self.__times_as_compare = 0

	@property
	def times_as_source(self):
		return self.__times_as_source

	def increment_source(self):
		self.__times_as_source += 1

	@property
	def times_as_compare(self):
		return self.__times_as_compare

	def increment_compare(self):
		self.__times_as_compare += 1


class TestFileScorer(FileScorer):
	def score(self, source, compare):
		source.increment_source()
		compare.increment_compare()
		return Percentage(0)
